org.apache.cassandra.utils

## Class Pair<T1,T2>

- java.lang.Object
- - org.apache.cassandra.utils.Pair<T1,T2>

-     public class Pair<T1,T2>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T1` | `left`
    `T2` | `right`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Pair(T1 left, T2 right)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <X,Y> Pair<X,Y>` | `create(X x, Y y)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final T1 left

    - #### right

          public final T2 right

  - ### Constructor Detail

    - #### Pair

          protected Pair(T1 left,
                         T2 right)

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### create

          public static <X,Y> Pair<X,Y> create(X x,
                                               Y y)

Copyright © 2018 The Apache Software Foundation